int fib(int n){
	int a;
	if (n == 0) return 1;
	if (n == 1) return 1;
	a = fib(n - 1) + fib(n - 2);
	return a;
}

int main(){
	int *a;
	int i;
	for(i = 0; i < 16; i++){
		a = (int*)(2*i+1024);
		*a = fib(i);
	}
}
